> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fiftytwo-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fiftytwo-demo.ferndocs.com/_mcp/server.

# Get SalesPerson by Id and Chain

GET https://api.fiftytwo.com/masterdata/salespersons/v1/chain/{chainId}/{salesPersonId}



Reference: https://fiftytwo-demo.ferndocs.com/api/master-data/reference/sales-persons/get-sales-person-by-id-and-chain

## Request

### Path parameters

- `salesPersonId` (string, required) — The Id of the SalesPerson to retrieve
- `chainId` (integer, required) — The Id of the Chain

## Response

### 200

Success

- `salesPersons` (list of SalesPersonsSalesPersonsItems, required)

## Errors

### 400 Bad Request Error

Bad Request

- `string`

## Types

### SalesPersonsSalesPersonsItems

- `salesPersonId` (integer, required) — The unique number that will identify the salesperson. The number is a key field that you can't edit later.
- `name` (string, optional) — The name of the sales person.
- `barcode` (integer, optional) — The number of the barcode on the salesperson's ID card.
- `category` (string, optional) — The category determines the salesperson's user rights and consequently which features they're able to use. Categories are defined in cooperation with Fiftywo consultants.
- `allowedTillIds` (list of integer, optional) — Indicate the specific till ids at which the salesperson is authorized and expected to operate during their shift.
- `salesTarget` (integer, optional) — The sales target allocated to the salesperson on a monthly basis
- `initials` (string, optional) — The Salesperson initials.
- `stores` (list of integer, optional) — List of store IDs associated with the salesperson.

## Examples

**Response**

```json
{
  "salesPersons": [
    {
      "salesPersonId": 12345,
      "name": "John Doe",
      "barcode": 1234567890123,
      "category": "A",
      "allowedTillIds": [
        1,
        2,
        3
      ],
      "salesTarget": 50000,
      "initials": "JD",
      "stores": [
        1111,
        2111,
        3111,
        4111
      ]
    },
    {
      "salesPersonId": 67890,
      "name": "Jane Smith",
      "barcode": 9876543210123,
      "category": "B",
      "allowedTillIds": [
        4,
        5
      ],
      "salesTarget": 75000,
      "initials": "JS",
      "stores": [
        4411,
        2431,
        4111
      ]
    }
  ]
}
```

**SDK Code**

```python SalesPersons_getSalesPersonByIdAndChain_example
import requests

url = "https://api.fiftytwo.com/masterdata/salespersons/v1/chain/1/salesPersonId"

response = requests.get(url)

print(response.json())
```

```javascript SalesPersons_getSalesPersonByIdAndChain_example
const url = 'https://api.fiftytwo.com/masterdata/salespersons/v1/chain/1/salesPersonId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go SalesPersons_getSalesPersonByIdAndChain_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fiftytwo.com/masterdata/salespersons/v1/chain/1/salesPersonId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby SalesPersons_getSalesPersonByIdAndChain_example
require 'uri'
require 'net/http'

url = URI("https://api.fiftytwo.com/masterdata/salespersons/v1/chain/1/salesPersonId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java SalesPersons_getSalesPersonByIdAndChain_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.fiftytwo.com/masterdata/salespersons/v1/chain/1/salesPersonId")
  .asString();
```

```php SalesPersons_getSalesPersonByIdAndChain_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.fiftytwo.com/masterdata/salespersons/v1/chain/1/salesPersonId');

echo $response->getBody();
```

```csharp SalesPersons_getSalesPersonByIdAndChain_example
using RestSharp;

var client = new RestClient("https://api.fiftytwo.com/masterdata/salespersons/v1/chain/1/salesPersonId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift SalesPersons_getSalesPersonByIdAndChain_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fiftytwo.com/masterdata/salespersons/v1/chain/1/salesPersonId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```